Announcement

Collapse
No announcement yet.

3.6.6 newthread problem

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • sinucello
    replied
    Hi,

    I have the same problem here with PHP Version 5.0.5-Debian-0.~sarge1.
    Fatal error: Only variables can be passed by reference in /var/www/forum/newreply.php on line 362
    Fatal error: Only variables can be passed by reference in /var/www/forum/register.php on line 384
    Will have a look at the bug now.

    Ciao,
    Sacha

    Leave a comment:


  • mawby
    replied
    Having now created a test system which still has the problem, I have logged the bug here as suggested.

    Leave a comment:


  • Paul M
    replied
    I would log it as a bug, your problem is in a new piece of code added in 3.6.6

    There are no other changes in that file, so running the 3.6.4 version will not affect anything else.

    Leave a comment:


  • mawby
    replied
    PHP 5.0.5
    MySQL 4.1.20

    vBPicGallery 10.0.3
    iTrader 2.0.1
    ibProArcade 2.6.1
    Farcaster's Event Attendance 1.2.1

    Leave a comment:


  • Reeve of Shinra
    replied
    What version of php and mysql are you running?
    What four hacks are left? Maybe others will have this issue...

    Leave a comment:


  • mawby
    replied
    I had them all turned off, via the usercp option and via the define('DISABLE_HOOKS', true); in config.php

    I had deleted everything to do with the plugins from the xml folder as requested.

    I then put a clean vbb folder in place, reverted all templates, and started to remove (physically) all the plugins despite the fact the whole plugin system was disabled in two places. Two hours later and with only 4 plugins left which I cannot just remove due to the data they contain (my clubs members would hunt me down if I did!) I stopped deleting pluigns and decided to restore the site instead.

    When I have more time I will copy the site sideways onto a difference database and then clean/uninstall everything. If it still goes wrong I will report it, if it doesn't I'll post up and say what I removed which fixed the problem.

    Leave a comment:


  • Steve Machol
    replied
    I thought you said you removed your plugins and still had this problem.

    Leave a comment:


  • mawby
    replied
    I only have 4 plugins left installed now, and they all have significant data (eg picture gallery) and I cannot remove them.

    I think I am left with little choice but to restore the site from a backup and then try to replicate this on a test system.

    Leave a comment:


  • Steve Machol
    replied
    If you are running all the default vB files and templatyes with no plugins and still have this problem then please report this in the 3.6 Bug Tracker here:

    http://www.vbulletin.com/forum/forumdisplay.php?f=114

    Leave a comment:


  • mawby
    replied
    Originally posted by Steve Machol View Post
    Remove any includes/xml files for your plugins.
    I have done that already.

    Leave a comment:


  • Steve Machol
    replied
    Remove any includes/xml files for your plugins.

    Leave a comment:


  • Floris
    replied
    Sure, you can make a support ticket, link to this thread, and put your details in the ticket to your forum. Someone from our staff will then take a look to see if something obvious is going wrong here.

    Leave a comment:


  • mawby
    replied
    Please see my first post, I have only put the old newthread.php back because it works. The errors I get are there when I use the new, clean, 3.6.6 version of the file.

    I have just put the new 3.6.6 back in place and again the error has returned. I can PM you login details if you want to take a look?

    Leave a comment:


  • Floris
    replied
    You can't use files from different versions. They all have to be from the same version.

    Leave a comment:


  • mawby
    replied
    Several "File not recognized as part of vBulletin" for files belonging to various plugins, and "File version mismatch: found 3.6.4, expected 3.6.6" for newthread.php, but that is because I restored the old version as explained above.

    Leave a comment:

widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X